# for loop example using Portable Graphics Library
# requires pgl.py
# CS 111, Aaron Bauer

from pgl import GWindow, GOval  # import what we need from Portable Graphics Library
import random
from random_graphics import random_color, start_random_move

# these are constants, values set at the start of the program that should never change
# have all caps names by convention
GWINDOW_WIDTH = 500
GWINDOW_HEIGHT = 800

# first thing is to create the graphics window (GWindow) that will
# display our graphics, and set its width and height
gw = GWindow(GWINDOW_WIDTH, GWINDOW_HEIGHT)
circle = GOval(250, 250, 100, 100)
gw.add(circle)
# you would think that position (250, 250) would be the center of the window
# so why does the circle appear off center?
# (250, 250) is the center, but the position we give the circle is the location of its UPPER-LEFT CORNER

count = int(input("How many circles would you like? "))

# repeat the following code count number of times
for i in range(0, count):
    # create a circle at a random position
    # the x and y position we give the circle is the location of its upper-left corner
    # same idea for y
    circle = GOval(random.randint(0, GWINDOW_WIDTH), random.randint(0, GWINDOW_HEIGHT), 10, 10)
    circle.setFilled(True)  # make the circle filled in with color
    # set the color filling in the circle randomly
    circle.setFillColor(random_color())
    gw.add(circle)  # the circle won't appear unless we add it to the GWindow

start_random_move(gw, 10, 50)
